org.firstinspires.ftc.robotcore.external.navigation

## Class VuforiaRelicRecovery

- java.lang.Object
- - org.firstinspires.ftc.robotcore.external.navigation.VuforiaBase
  - - org.firstinspires.ftc.robotcore.external.navigation.VuforiaRelicRecovery

-     public class VuforiaRelicRecovery
      extends VuforiaBase

  A class that provides simplified access to Vuforia for the Relic Recovery game (2017-2018).

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `VuforiaRelicRecovery.TrackingResults`

  - ### Field Summary

    - ### Fields inherited from class org.firstinspires.ftc.robotcore.external.navigation.VuforiaBase

      `MM_FTC_FIELD_WIDTH, MM_PER_INCH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VuforiaRelicRecovery()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `VuforiaBase.TrackingResults` | `emptyTrackingResults(java.lang.String name)`
    `VuforiaBase.TrackingResults` | `track(java.lang.String name)` Returns the TrackingResults of the trackable with the given name.
    `VuforiaBase.TrackingResults` | `trackPose(java.lang.String name)` Returns the TrackingResults of the pose of the trackable with the given name.

    - ### Methods inherited from class org.firstinspires.ftc.robotcore.external.navigation.VuforiaBase

      `activate, close, createParameters, deactivate, getListener, getVuforiaLocalizer, initialize, initialize, printTrackableNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VuforiaRelicRecovery

          public VuforiaRelicRecovery()

  - ### Method Detail

    - #### track

          public VuforiaBase.TrackingResults track(java.lang.String name)

      Description copied from class: `VuforiaBase`
      Returns the TrackingResults of the trackable with the given name.
      Overrides:
        `track` in class `VuforiaBase`

    - #### trackPose

          public VuforiaBase.TrackingResults trackPose(java.lang.String name)

      Description copied from class: `VuforiaBase`
      Returns the TrackingResults of the pose of the trackable with the given name. The pose is the location of the trackable in the phone's coordinate system.
      Overrides:
        `trackPose` in class `VuforiaBase`

    - #### emptyTrackingResults

          public VuforiaBase.TrackingResults emptyTrackingResults(java.lang.String name)

      Overrides:
        `emptyTrackingResults` in class `VuforiaBase`